Subject: Re: bug#65347: 29.1; Underscore in query replace prevents case-matching

From: Stefan Monnier <[email-masked]>
Date: Thu, 17 Aug 2023 22:04:53 -0400

> Although, a further relevant question: is there some way to make _ not
> be a word separator, in this specific context?  Without changing the
> syntax table of the buffer overall?  So that foo_bar is interpreted as
> one word?

There's `superword-mode`, but I suspect that query-replace does not
honor it in this case.  Could be considered as a bug in
`superword-mode`.

        Stefan